# -*- mode: RPM-SPEC; indent-tabs-mode: nil -*-
%define tarbasename ldas-tools-ldasgen
%define _docdir     %{_datadir}/doc/%{tarbasename}-%{version}
%define check_boost169 ( 0%{?rhel} && 0%{?rhel} <= 8 )
%define check_cmake3 ( 0%{?rhel} && 0%{?rhel} <= 7 )

Summary: LDAS tools libgenericAPI toolkit runtime files
Name: ldas-tools-ldasgen
Version: 2.7.3
Release: 1%{?dist}
License: GPLv2+
URL: "https://wiki.ligo.org/Computing/LDASTools"
Group: Application/Scientific
BuildRoot: %{buildroot}
Source0: https://software.igwn.org/lscsoft/source/ldas-tools-ldasgen-%{version}.tar.gz
Obsoletes: ldas-tools-genericAPI
Requires: ldas-tools-al >= 2.6.7
%if %check_boost169
Requires: boost169
%else
Requires: boost
%endif
BuildRequires: gcc, gcc-c++, glibc
BuildRequires: make
BuildRequires: rpm-build
BuildRequires: rpm-build
%if %check_cmake3
BuildRequires: cmake3 >= 3.6
BuildRequires: cmake
%else
BuildRequires: cmake >= 3.6
%endif
Buildrequires: doxygen
%if %check_boost169
BuildRequires: boost169-devel
%else
BuildRequires: boost
%endif
BuildRequires: openssl-devel
BuildRequires: pkgconfig
BuildRequires: zlib-devel
BuildRequires: ldas-tools-cmake >= 1.2.3
BuildRequires: ldas-tools-al-devel >= 2.6.7

%description
This provides the runtime libraries for the genericAPI library.

%package devel
Group: Development/Scientific
Summary: LDAS tools libgenericAPI toolkit development files
Obsoletes: ldas-tools-genericAPI-devel
Requires: ldas-tools-al-devel >= 2.6.7
Requires: ldas-tools-ldasgen = %{version}
%if %check_boost169
Requires: boost169-devel
%else
Requires: boost-devel
%endif
%description devel
This provides the develpement files the genericAPI library.

%prep

%setup -c -T -D -a 0 -n %{name}-%{version}

%build
%if %{check_boost169}
export BOOST_CONFIGURE_OPTIONS="-DBoost_NO_SYSTEM_PATHS=True -DBOOST_INCLUDEDIR=%{_includedir}/boost169 -DBOOST_LIBRARYDIR=%{_libdir}/boost169"
%endif
%if %{check_cmake3}
export CMAKE_PROGRAM=cmake3
%else
export CMAKE_PROGRAM=cmake
%endif

${CMAKE_PROGRAM} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_EXPORT_COMPILE_COMMANDS=1 \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_INSTALL_DOCDIR=%{_docdir} \
    ${BOOST_CONFIGURE_OPTIONS} \
    %{tarbasename}-%{version}

make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
#--------------------------------------------------------------
# install lscsoft specific files
#--------------------------------------------------------------
make V=1 install DESTDIR=%{buildroot}

%post
ldconfig
%postun
ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libStat*.so.*
%{_libdir}/libldasgen*.so.*
%{_libexecdir}/ldas/lstat

%files devel
%defattr(-,root,root)
%{_includedir}/genericAPI
%{_libdir}/libStat.*a
%{_libdir}/libStat*.so
%{_libdir}/libldasgen.*a
%{_libdir}/libldasgen*.so
%{_docdir}
%{_libdir}/pkgconfig/ldastools-ldasgen.pc
%{_libdir}/pkgconfig/ldastools-stat.pc

%changelog
* Wed Sep 29 2021 Edward Maros <ed.maros@ligo.org> - 2.7.3-1
- Built for new release

* Fri Aug 13 2021 Edward Maros <ed.maros@ligo.org> - 2.7.1-1
- Built for new release

* Tue Mar 9 2021 Edward Maros <ed.maros@ligo.org> - 2.7.1-1
- Built for new release

* Wed Aug 14 2019 Edward Maros <ed.maros@ligo.org> - 2.7.0-1
- Built for new release

* Thu Dec 06 2018 Edward Maros <ed.maros@ligo.org> - 2.6.3-1
- Built for new release

* Tue Nov 27 2018 Edward Maros <ed.maros@ligo.org> - 2.6.2-1
- Built for new release

* Sat Oct 22 2016 Edward Maros <ed.maros@ligo.org> - 2.5.4-1
- Built for new release

* Mon Oct 10 2016 Edward Maros <ed.maros@ligo.org> - 2.5.3-1
- Built for new release

* Mon Sep 26 2016 Edward Maros <ed.maros@ligo.org> - 2.5.2-1
- Expanded information reported for failed stat and lstat calls

* Wed Mar 23 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.4-1
- Made build be verbose

* Fri Mar 11 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.1-1
- Corrections for RPM build

* Thu Mar 03 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.0-1
- Breakout into separate source package

* Tue Oct 11 2011 Edward Maros <ed.maros@ligo.org> - 1.19.13-1
- Initial build.
